io.milvus.v2.service.index.response

## Class DescribeIndexResp

- java.lang.Object
- - io.milvus.v2.service.index.response.DescribeIndexResp

-     public class DescribeIndexResp
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescribeIndexResp.IndexDesc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeIndexResp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeIndexResp.IndexDesc` | `getIndexDescByFieldName(@NonNull java.lang.String fieldName)`
    `DescribeIndexResp.IndexDesc` | `getIndexDescByIndexName(@NonNull java.lang.String indexName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeIndexResp

          public DescribeIndexResp()

  - ### Method Detail

    - #### getIndexDescByFieldName

          public DescribeIndexResp.IndexDesc getIndexDescByFieldName(@NonNull
                                                                     @NonNull java.lang.String fieldName)

    - #### getIndexDescByIndexName

          public DescribeIndexResp.IndexDesc getIndexDescByIndexName(@NonNull
                                                                     @NonNull java.lang.String indexName)